﻿#language: ru

Функционал: Использование обработки ТСД. Паллетирование производство

Сценарий: Создание кнопки для подключения к МУТ
	Дано Я подключаюсь под "milk_prod_ТСД"
	И я нажимаю на кнопку 'Настроить'
	Тогда открылось окно 'Рабочий стол (Разделы панели пользователя)'
	И в таблице "СоставКоманд" я нажимаю на кнопку с именем 'СоставКомандДобавить'
	И в таблице "СоставКоманд" я нажимаю кнопку выбора у реквизита "Кнопка"
	Тогда открылось окно 'Кнопки панели пользователя'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Кнопка панели пользователя (создание)'
	И в поле 'Заголовок' я ввожу текст 'Паллетирование'
	И я нажимаю кнопку выбора у поля "Форма"
	Тогда открылось окно 'Выбор формы'
	И в таблице "ДеревоОбъектов" я разворачиваю строку:
		| 'Синоним объекта' |
		| 'Обработки'       |
	И в таблице "ДеревоОбъектов" я перехожу к строке:
		| 'Синоним объекта'    |
		| 'Меню учетных точек' |
	И в таблице "ДеревоОбъектов" я выбираю текущую строку
	Тогда открылось окно 'Кнопка панели пользователя (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка панели пользователя (создание) *' в течение 20 секунд
	Тогда открылось окно 'Кнопки панели пользователя'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий стол (Разделы панели пользователя) *'
	И в таблице "СоставКоманд" я активизирую поле "Строка"
	И в таблице "СоставКоманд" в поле 'Строка' я ввожу текст '1'
	И в таблице "СоставКоманд" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий стол (Разделы панели пользователя) *' в течение 20 секунд
	И я закрыл все окна клиентского приложения

Сценарий: Использование обработки ТСД. Паллетирование производство без сканирования сырья
	И я нажимаю на кнопку 'Открыть новое окно'
	Тогда открылось окно 'Рабочий стол'
	И я нажимаю на кнопку 'Паллетирование'
	И в поле "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24' |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Паллетирование' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Наборка паллеты'
	Тогда открылось окно 'Паллетирование (производство)'
	И в поле 'Штрихкод' я ввожу текст '(00)200000078900000011'
	И я перехожу к следующему реквизиту
	И элемент формы с именем "ТекущаяНоменклатураПредставление" стал равен 'milk_prod_Сливочный 45% ГП / 5\01.11.18'
	И я нажимаю на кнопку 'СканированиеПросмотрСоставаТоваров'
	Когда открылось окно 'Паллетирование (производство)'
	И таблица "ТоварыДляЗаписи" стала равной:
		| 'Продукт'                       | 'Кол-во'    |
		| 'milk_prod_Сливочный 45% ГП / 5\01.11.18' | '4,600, кг' |
	И я нажимаю на кнопку 'СоставТоваровНазад'
	И я нажимаю на кнопку 'СканированиеЗавершить'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка созданных документов
	Дано Я подключаюсь под "milk_prod_Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Рабочий центр' 			| 'Способ создания'       | 'Статус'    |
		| 'milk_prod_Маркировка'    | 'Терминал сбора данных' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Количество' | 'Номенклатура'     			 | 'Серия'      |
		| '1' | 'кг'       | '4,600'      | 'milk_prod_Сливочный 45% ГП' | '5\01.11.18' |
	И я закрываю текущее окно
	Тогда открылось окно 'Переработки'
	И я закрываю окно 'Переработки'
	И В командном интерфейсе я выбираю 'Производство' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И в таблице "Список" я перехожу к строке:
		| 'Организация' | 'Способ создания'       | 'Тип тары' | 'Упаковал'      |
		| 'Организация' | 'Терминал сбора данных' | 'Паллета'  | 'milk_prod_ТСД' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Паллета *'
	И в таблице "Товары" я перехожу к строке:
		| 'Количество' | 'Количество упаковок' | 'Упаковочный лист'                   |
		| '1,000'      | '1,000'               | 'Короб 0000001, 1 позиция в составе' |
	И я закрываю текущее окно
	Тогда открылось окно 'Упаковочные листы'
	И я закрываю окно 'Упаковочные листы'

Сценарий: Подготовка сырья для ТСД. Паллетирование производство
	И В командном интерфейсе я выбираю 'Производство' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Нарезка'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в поле 'от' я ввожу текст '23.04.2019  8:10:38'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Смесь 45%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита с именем "ТоварыСерия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '4'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоФакт' я ввожу текст '5 688,000'
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Оприходование товаров'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Инвентаризация *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'
	И В командном интерфейсе я выбираю 'Производство' 'Комплектации тар'
	Тогда открылось окно 'Комплектации тар'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Комплектация тары (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Нарезка'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я нажимаю кнопку выбора у поля с именем "Тара"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''     |
		| 'Тара' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Тары'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Тара (создание)'
	И я нажимаю кнопку выбора у поля "Тип"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Пакет'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Тара (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Тара (создание) *' в течение 20 секунд
	Тогда открылось окно 'Тары'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я добавляю строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Смесь 45%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '4'     |
	И в таблице "Список" я активизирую поле с именем "СписокНомер"
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Комплектация тары (создание) *'
	И в таблице "Товары" в поле с именем 'ТоварыКоличество' я ввожу текст '5 500,000'
	И в таблице "Товары" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице 'Товары' я удаляю строку
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Комплектация тары (создание) *' в течение 20 секунд
	Тогда открылось окно 'Комплектации тар'
	И Я закрываю окно 'Комплектации тар'

Сценарий: Запись штрихкода для Сливочный 45% ГП ручной
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сливочный 45% ГП' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Сливочный 45% ГП (Номенклатура)'
	И я нажимаю на кнопку "Штрихкоды"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И в поле 'Штрихкод' я ввожу текст '129898868655'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И Я закрываю окно 'Штрихкоды номенклатуры'
	Тогда открылось окно 'milk_prod_Сливочный 45% ГП (Номенклатура)'
	И Я закрываю окно 'milk_prod_Сливочный 45% ГП (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: Запись штрихкода для Сливочный 45% ГП генерация
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сливочный 45% ГП' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Сливочный 45% ГП (Номенклатура)'
	И я нажимаю на кнопку "Штрихкоды"
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
	И я нажимаю на кнопку "Новый штрихкод"
	И я запоминаю значение  поля с именем "Штрихкод" как "$$ШтрихкодСыраГенерация$$"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Штрихкоды номенклатуры'
	И Я закрываю окно 'Штрихкоды номенклатуры'
	Тогда открылось окно 'milk_prod_Сливочный 45% ГП (Номенклатура)'
	И Я закрываю окно 'milk_prod_Сливочный 45% ГП (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: Использование обработки ТСД. Паллетирование производство с использованием сканирования сырья
	Дано Я переключаюсь на открытый клиент "milk_prod_ТСД"
	И я нажимаю на кнопку 'Открыть новое окно'
	Тогда открылось окно 'Рабочий стол'
	И я нажимаю на кнопку 'Паллетирование'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Паллетирование' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Наборка паллеты со сканированием сырья'
	Тогда открылось окно 'Паллетирование (производство)'
	И в поле 'Штрихкод' я ввожу текст '05000000001'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'СканированиеПросмотрСоставаСырья'
	И в таблице "СырьеДляЗаписи" я перехожу к строке:
		| 'Тара' 	    | 'Сырье' 										  |
		| '05000000001' | 'milk_prod_Смесь 45% / 4 до 01.11.2018 0:00:00' |
	И я нажимаю на кнопку 'СоставСырьяНазад'
	И я нажимаю на кнопку 'СканированиеСырьяЗавершить'
	И в поле 'Штрихкод' я ввожу текст '(01)129898868655(3103)003400(11)181101(10)5'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст '(01)129898868655(3103)003400(11)181101(10)4'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаОК'
	Тогда открылось окно 'Паллетирование (производство)'
	И в поле 'Штрихкод' я ввожу текст '(01)129898868655(3103)002300(11)181101(10)5'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст '(01)129898868655(3103)002200(11)181101(10)5'
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу текст '(01)129898868655(3103)002400(11)181101(10)5'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'СканированиеЗавершить'
	Тогда открылось окно '[*]: Меню учетных точек'

Сценарий: Проверка созданных документов 2
	Дано Я переключаюсь на открытый клиент "milk_prod_Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный' | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'       | 'Статус'    |
		| 'milk_prod_ТСД' | 'milk_prod_Маркировка'  | 'Смена24' | 'Терминал сбора данных' | 'Выполнено' |
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я перехожу к последней строке
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'N' | 'Ед. изм.' | 'Количество' | 'Номенклатура'    			 | 'Серия'      | 'Спецификация'            					| 'Характеристика'    | 'Этап'   |
		| '1' | 'кг'       | '10,300'     | 'milk_prod_Сливочный 45% ГП' | '5\01.11.18' | 'milk_prod_Сливочный 45% ГП milk_prod_Сыр ГП' | '<не используются>' | 'Плавка' |
	И я перехожу к закладке "Распределение материалов"
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Распределить на выпуск'        			| 'Склад'    		   | 'Характеристика'    |
		| 'milk_prod_Сливочный 45% ГП / 5\01.11.18' | 'milk_prod_Упаковка' | '<не используются>' |
	И в таблице "РаспределениеМатериалов" я перехожу к строке:
		| 'Распределить на выпуск'        			| 'Серия'                   | 'Склад'   		  | 'Тара'        | 'Характеристика'    |
		| 'milk_prod_Сливочный 45% ГП / 5\01.11.18' | '4 до 01.11.2018 0:00:00' | 'milk_prod_Нарезка' | '05000000001' | '<не используются>' |
	И я нажимаю на кнопку 'Пометить на удаление / Снять пометку'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Переработка*'
	И Я закрываю окно 'Переработка*'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: Использование обработки ТСД. Паллетирование производство со сканированием штрихкода номенклатуры, сгенерированным системой
	Дано Я переключаюсь на открытый клиент "milk_prod_ТСД"
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Паллетирование' |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Наборка паллеты'
	Тогда открылось окно 'Паллетирование (производство)'
	И я запоминаю значение выражения '"(01)"+ $$ШтрихкодСыраГенерация$$ + "(3103)003400(11)181101(10)5"' в переменную "ШтрихкодКороба"
	И в поле 'Штрихкод' я ввожу значение переменной 'ШтрихкодКороба'
	И я перехожу к следующему реквизиту
	И я запоминаю значение выражения '"(01)"+ $$ШтрихкодСыраГенерация$$ + "(3103)003400(11)181101(10)4"' в переменную "ШтрихкодКороба"
	И я перехожу к следующему реквизиту
	И в поле 'Штрихкод' я ввожу значение переменной 'ШтрихкодКороба'
	И я нажимаю на кнопку 'СканированиеПросмотрСоставаТоваров'
	И в таблице "ТоварыДляЗаписи" я перехожу к строке:
		| 'Кол-во'    | 'Продукт'                                 |
		| '3,400, кг' | 'milk_prod_Сливочный 45% ГП / 4\01.11.18' |
	И в таблице "ТоварыДляЗаписи" я перехожу к строке:
		| 'Кол-во'    | 'Продукт'                                 |
		| '3,400, кг' | 'milk_prod_Сливочный 45% ГП / 5\01.11.18' |
	И я нажимаю на кнопку 'СоставТоваровНазад'
	И я нажимаю на кнопку 'СканированиеЗавершить'
	Тогда открылось окно '[*]: Меню учетных точек'

Сценарий: 02_milk_production.02.019 Закрытие клиента 1
	И я закрываю сеанс TESTCLIENT

Сценарий: Проверка созданных документов 3
	Дано Я переключаюсь на открытый клиент "milk_prod_Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный' | 'Рабочий центр' 		| 'Смена'   | 'Способ создания'       | 'Статус'    |
		| 'milk_prod_ТСД' | 'milk_prod_Маркировка'  | 'Смена24' | 'Терминал сбора данных' | 'Выполнено' |
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюПоискПоТекущемуЗначению' на элементе формы с именем "Список"
	И в таблице "Список" я перехожу к последней строке
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка *'
	И я перехожу к закладке "Выпуск"
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Количество' | 'Номенклатура'               | 'Серия'      | 'Характеристика'    | 'Этап'   |
		| 'кг'       | '3,400'      | 'milk_prod_Сливочный 45% ГП' | '4\01.11.18' | '<не используются>' | 'Плавка' |
	И в таблице "Выпуск" я перехожу к строке:
		| 'Ед. изм.' | 'Количество' | 'Номенклатура'               | 'Серия'      | 'Характеристика'    | 'Этап'   |
		| 'кг'       | '3,400'      | 'milk_prod_Сливочный 45% ГП' | '5\01.11.18' | '<не используются>' | 'Плавка' |
	И я перехожу к закладке "Распределение материалов"
	И я жду, что в таблице "РаспределениеМатериалов" количество строк будет "равно" 0 в течение 10 секунд
	И я нажимаю на кнопку 'Пометить на удаление / Снять пометку'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Переработка*'
	И Я закрываю окно 'Переработка*'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 02_milk_production.02.019 Закрытие клиента 2
	И я закрываю сеанс TESTCLIENT